#!/bin/bash

echo "**** Building latest Munin container ****"
$(pwd)/build.sh

echo "**** Deleting Original Container ****"
sudo docker rm -f munin

echo "**** Running Munin ****"
sudo docker run -itd \
    --restart unless-stopped \
    --network services \
    --name munin \
    -e TZ=UTC \
    -e DEBUG=1 \
    -p 2813:2813/tcp \
    -l diun.enable=true \
    -l traefik.enable=false \
    -v /var/munin:/opt/munin \
    --mount type=tmpfs,destination=/opt/munin/www \
    --mount type=tmpfs,destination=/opt/munin/log \
    --mount type=tmpfs,destination=/opt/munin/run \
    --mount type=tmpfs,destination=/opt/munin/cgi-tmp \
    munin:latest
